org.apache.uima.fit.util

## Class FSCollectionFactory<T extends org.apache.uima.cas.FeatureStructure>

- java.lang.Object
- - org.apache.uima.fit.util.FSCollectionFactory<T>

- Type Parameters:
    `T` - data type.

      public abstract class FSCollectionFactory<T extends org.apache.uima.cas.FeatureStructure>
      extends Object

  Bridge between Java `Collections` from different representations of collections of UIMA `FeatureStructures`.

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static <T extends org.apache.uima.cas.text.AnnotationFS> Collection<T>` | `create(org.apache.uima.cas.text.AnnotationIndex<T> aIndex)` Convert an `AnnotationIndex` to a `Collection`.
    `static Collection<org.apache.uima.cas.FeatureStructure>` | `create(org.apache.uima.cas.ArrayFS aArray)` Convert an `ArrayFS` to a `Collection`.
    `static <T extends org.apache.uima.jcas.cas.TOP> Collection<T>` | `create(org.apache.uima.cas.ArrayFS aArray, Class<T> aType)` Fetch all annotations of the given type or its sub-types from the given FS array.
    `static Collection<org.apache.uima.cas.FeatureStructure>` | `create(org.apache.uima.cas.ArrayFS aArray, org.apache.uima.cas.Type aType)` Fetch all annotations of the given type or its sub-types from the given FS array.
    `static Collection<org.apache.uima.cas.FeatureStructure>` | `create(org.apache.uima.cas.CAS cas, org.apache.uima.cas.Type type)` Create a `Collection` of the given type of feature structures.
    `static Collection<Float>` | `create(org.apache.uima.jcas.cas.FloatList aList)`
    `static <T extends org.apache.uima.cas.FeatureStructure> Collection<T>` | `create(org.apache.uima.cas.FSIterator<T> aIterator)` Convert an `FSIterator` to a `Collection`.
    `static Collection<org.apache.uima.jcas.cas.TOP>` | `create(org.apache.uima.jcas.cas.FSList aList)`
    `static <T extends org.apache.uima.jcas.cas.TOP> Collection<T>` | `create(org.apache.uima.jcas.cas.FSList aList, Class<T> aType)` Fetch all annotations of the given type or its sub-types from the given FS list.
    `static Collection<org.apache.uima.jcas.cas.TOP>` | `create(org.apache.uima.jcas.cas.FSList aList, org.apache.uima.cas.Type type)`
    `static Collection<Integer>` | `create(org.apache.uima.jcas.cas.IntegerList aList)`
    `static Collection<String>` | `create(org.apache.uima.jcas.cas.StringList aList)`
    `static org.apache.uima.cas.ArrayFS` | `createArrayFS(org.apache.uima.cas.CAS aCas, Collection<? extends org.apache.uima.cas.FeatureStructure> aCollection)`
    `static org.apache.uima.cas.ArrayFS` | `createArrayFS(org.apache.uima.cas.CAS aCas, org.apache.uima.cas.FeatureStructure[] aArray)`
    `static org.apache.uima.cas.BooleanArrayFS` | `createBooleanArray(org.apache.uima.cas.CAS aCas, boolean[] aArray)`
    `static org.apache.uima.cas.BooleanArrayFS` | `createBooleanArray(org.apache.uima.cas.CAS aCas, Collection<Boolean> aCollection)`
    `static org.apache.uima.cas.BooleanArrayFS` | `createBooleanArray(org.apache.uima.jcas.JCas aJCas, boolean[] aArray)`
    `static org.apache.uima.cas.BooleanArrayFS` | `createBooleanArray(org.apache.uima.jcas.JCas aJCas, Collection<Boolean> aCollection)`
    `static org.apache.uima.cas.ByteArrayFS` | `createByteArray(org.apache.uima.cas.CAS aCas, byte[] aArray)`
    `static org.apache.uima.cas.ByteArrayFS` | `createByteArray(org.apache.uima.cas.CAS aCas, Collection<Byte> aCollection)`
    `static org.apache.uima.cas.ByteArrayFS` | `createByteArray(org.apache.uima.jcas.JCas aJCas, byte[] aArray)`
    `static org.apache.uima.cas.ByteArrayFS` | `createByteArray(org.apache.uima.jcas.JCas aJCas, Collection<Byte> aCollection)`
    `static org.apache.uima.cas.DoubleArrayFS` | `createDoubleArray(org.apache.uima.cas.CAS aCas, Collection<Double> aCollection)`
    `static org.apache.uima.cas.DoubleArrayFS` | `createDoubleArray(org.apache.uima.cas.CAS aCas, double[] aArray)`
    `static org.apache.uima.cas.DoubleArrayFS` | `createDoubleArray(org.apache.uima.jcas.JCas aJCas, Collection<Double> aCollection)`
    `static org.apache.uima.cas.DoubleArrayFS` | `createDoubleArray(org.apache.uima.jcas.JCas aJCas, double[] aArray)`
    `static org.apache.uima.cas.FloatArrayFS` | `createFloatArray(org.apache.uima.cas.CAS aCas, Collection<Float> aCollection)`
    `static org.apache.uima.cas.FloatArrayFS` | `createFloatArray(org.apache.uima.cas.CAS aCas, float[] aArray)`
    `static org.apache.uima.cas.FloatArrayFS` | `createFloatArray(org.apache.uima.jcas.JCas aJCas, Collection<Float> aCollection)`
    `static org.apache.uima.cas.FloatArrayFS` | `createFloatArray(org.apache.uima.jcas.JCas aJCas, float[] aArray)`
    `static <T extends org.apache.uima.cas.FeatureStructure> T` | `createFloatList(org.apache.uima.cas.CAS aCas, Collection<Float> aValues)`
    `static <T extends org.apache.uima.cas.FeatureStructure> T` | `createFloatList(org.apache.uima.cas.CAS aCas, float... aValues)`
    `static org.apache.uima.jcas.cas.FloatList` | `createFloatList(org.apache.uima.jcas.JCas aJCas, Collection<Float> aCollection)`
    `static org.apache.uima.jcas.cas.FloatList` | `createFloatList(org.apache.uima.jcas.JCas aJCas, float... aValues)`
    `static org.apache.uima.jcas.cas.FSArray` | `createFSArray(org.apache.uima.jcas.JCas aJCas, Collection<? extends org.apache.uima.cas.FeatureStructure> aCollection)`
    `static org.apache.uima.jcas.cas.FSArray` | `createFSArray(org.apache.uima.jcas.JCas aJCas, org.apache.uima.cas.FeatureStructure[] aArray)`
    `static <T extends org.apache.uima.cas.FeatureStructure> T` | `createFSList(org.apache.uima.cas.CAS aCas, Collection<? extends org.apache.uima.cas.FeatureStructure> aValues)`
    `static <T extends org.apache.uima.cas.FeatureStructure> T` | `createFSList(org.apache.uima.cas.CAS aCas, org.apache.uima.cas.FeatureStructure... aValues)`
    `static org.apache.uima.jcas.cas.FSList` | `createFSList(org.apache.uima.jcas.JCas aJCas, Collection<? extends org.apache.uima.jcas.cas.TOP> aCollection)`
    `static org.apache.uima.cas.IntArrayFS` | `createIntArray(org.apache.uima.cas.CAS aCas, Collection<Integer> aCollection)`
    `static org.apache.uima.cas.IntArrayFS` | `createIntArray(org.apache.uima.cas.CAS aCas, int[] aArray)`
    `static org.apache.uima.cas.IntArrayFS` | `createIntArray(org.apache.uima.jcas.JCas aJCas, Collection<Integer> aCollection)`
    `static org.apache.uima.cas.IntArrayFS` | `createIntArray(org.apache.uima.jcas.JCas aJCas, int[] aArray)`
    `static <T extends org.apache.uima.cas.FeatureStructure> T` | `createIntegerList(org.apache.uima.cas.CAS aCas, Collection<Integer> aValues)`
    `static <T extends org.apache.uima.cas.FeatureStructure> T` | `createIntegerList(org.apache.uima.cas.CAS aCas, int... aValues)`
    `static org.apache.uima.jcas.cas.IntegerList` | `createIntegerList(org.apache.uima.jcas.JCas aJCas, Collection<Integer> aCollection)`
    `static org.apache.uima.jcas.cas.IntegerList` | `createIntegerList(org.apache.uima.jcas.JCas aJCas, int... aValues)`
    `static org.apache.uima.cas.LongArrayFS` | `createLongArray(org.apache.uima.cas.CAS aCas, Collection<Long> aCollection)`
    `static org.apache.uima.cas.LongArrayFS` | `createLongArray(org.apache.uima.cas.CAS aCas, long[] aArray)`
    `static org.apache.uima.cas.LongArrayFS` | `createLongArray(org.apache.uima.jcas.JCas aJCas, Collection<Long> aCollection)`
    `static org.apache.uima.cas.LongArrayFS` | `createLongArray(org.apache.uima.jcas.JCas aJCas, long[] aArray)`
    `static org.apache.uima.cas.ShortArrayFS` | `createShortArray(org.apache.uima.cas.CAS aCas, Collection<Short> aCollection)`
    `static org.apache.uima.cas.ShortArrayFS` | `createShortArray(org.apache.uima.cas.CAS aCas, short[] aArray)`
    `static org.apache.uima.cas.ShortArrayFS` | `createShortArray(org.apache.uima.jcas.JCas aJCas, Collection<Short> aCollection)`
    `static org.apache.uima.cas.ShortArrayFS` | `createShortArray(org.apache.uima.jcas.JCas aJCas, short[] aArray)`
    `static org.apache.uima.cas.StringArrayFS` | `createStringArray(org.apache.uima.cas.CAS aCas, Collection<String> aCollection)`
    `static org.apache.uima.cas.StringArrayFS` | `createStringArray(org.apache.uima.cas.CAS aCas, String[] aArray)`
    `static org.apache.uima.cas.StringArrayFS` | `createStringArray(org.apache.uima.jcas.JCas aJCas, Collection<String> aCollection)`
    `static org.apache.uima.cas.StringArrayFS` | `createStringArray(org.apache.uima.jcas.JCas aJCas, String[] aArray)`
    `static <T extends org.apache.uima.cas.FeatureStructure> T` | `createStringList(org.apache.uima.cas.CAS aCas, Collection<String> aValues)`
    `static <T extends org.apache.uima.cas.FeatureStructure> T` | `createStringList(org.apache.uima.cas.CAS aCas, String... aValues)`
    `static org.apache.uima.jcas.cas.StringList` | `createStringList(org.apache.uima.jcas.JCas aJCas, Collection<String> aCollection)`
    `static org.apache.uima.jcas.cas.StringList` | `createStringList(org.apache.uima.jcas.JCas aJCas, String... aValues)`
    `static org.apache.uima.cas.ArrayFS` | `fillArrayFS(org.apache.uima.cas.ArrayFS aArrayFs, org.apache.uima.cas.FeatureStructure[] aArray)`
    `static org.apache.uima.cas.BooleanArrayFS` | `fillArrayFS(org.apache.uima.cas.BooleanArrayFS aArrayFs, boolean[] aArray)`
    `static org.apache.uima.cas.BooleanArrayFS` | `fillArrayFS(org.apache.uima.cas.BooleanArrayFS aArrayFs, Iterable<Boolean> aCollection)`
    `static org.apache.uima.cas.ByteArrayFS` | `fillArrayFS(org.apache.uima.cas.ByteArrayFS aArrayFs, byte[] aArray)`
    `static org.apache.uima.cas.ByteArrayFS` | `fillArrayFS(org.apache.uima.cas.ByteArrayFS aArrayFs, Iterable<Byte> aCollection)`
    `static org.apache.uima.cas.DoubleArrayFS` | `fillArrayFS(org.apache.uima.cas.DoubleArrayFS aArrayFs, double[] aArray)`
    `static org.apache.uima.cas.DoubleArrayFS` | `fillArrayFS(org.apache.uima.cas.DoubleArrayFS aArrayFs, Iterable<Double> aCollection)`
    `static org.apache.uima.cas.FloatArrayFS` | `fillArrayFS(org.apache.uima.cas.FloatArrayFS aArrayFs, float[] aArray)`
    `static org.apache.uima.cas.FloatArrayFS` | `fillArrayFS(org.apache.uima.cas.FloatArrayFS aArrayFs, Iterable<Float> aCollection)`
    `static org.apache.uima.cas.IntArrayFS` | `fillArrayFS(org.apache.uima.cas.IntArrayFS aArrayFs, int[] aArray)`
    `static org.apache.uima.cas.IntArrayFS` | `fillArrayFS(org.apache.uima.cas.IntArrayFS aArrayFs, Iterable<Integer> aCollection)`
    `static org.apache.uima.cas.LongArrayFS` | `fillArrayFS(org.apache.uima.cas.LongArrayFS aArrayFs, Iterable<Long> aCollection)`
    `static org.apache.uima.cas.LongArrayFS` | `fillArrayFS(org.apache.uima.cas.LongArrayFS aArrayFs, long[] aArray)`
    `static org.apache.uima.cas.ShortArrayFS` | `fillArrayFS(org.apache.uima.cas.ShortArrayFS aArrayFs, Iterable<Short> aCollection)`
    `static org.apache.uima.cas.ShortArrayFS` | `fillArrayFS(org.apache.uima.cas.ShortArrayFS aArrayFs, short[] aArray)`
    `static org.apache.uima.cas.StringArrayFS` | `fillArrayFS(org.apache.uima.cas.StringArrayFS aArrayFs, Iterable<String> aCollection)`
    `static org.apache.uima.cas.StringArrayFS` | `fillArrayFS(org.apache.uima.cas.StringArrayFS aArrayFs, String[] aArray)`
    `static <T extends org.apache.uima.cas.ArrayFS> T` | `fillArrayFS(T aArrayFs, Iterable<? extends org.apache.uima.cas.FeatureStructure> aCollection)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### create

          public static Collection<org.apache.uima.cas.FeatureStructure> create(org.apache.uima.cas.CAS cas,
                                                                                org.apache.uima.cas.Type type)

      Create a `Collection` of the given type of feature structures. This collection is backed by the CAS, either via an `CAS.getAnnotationIndex(Type)` or `FSIndexRepository.getAllIndexedFS(Type)`.
      Parameters:
        `cas` - the CAS to select from.
        `type` - the type of feature structures to select. All sub-types are returned as well.
      Returns:
        a `Collection` of the given type of feature structures backed live by the CAS.
      See Also:
        Order of selected feature structures

    - #### create

          public static <T extends org.apache.uima.cas.FeatureStructure> Collection<T> create(org.apache.uima.cas.FSIterator<T> aIterator)

      Convert an `FSIterator` to a `Collection`.
      Type Parameters:
        `T` - the feature structure type
      Parameters:
        `aIterator` - the iterator to convert.
      Returns:
        the wrapped iterator.
      See Also:
        Order of selected feature structures

    - #### create

          public static <T extends org.apache.uima.cas.text.AnnotationFS> Collection<T> create(org.apache.uima.cas.text.AnnotationIndex<T> aIndex)

      Convert an `AnnotationIndex` to a `Collection`.
      Type Parameters:
        `T` - the feature structure type
      Parameters:
        `aIndex` - the index to convert.
      Returns:
        the wrapped index.
      See Also:
        Order of selected feature structures

    - #### create

          public static Collection<org.apache.uima.cas.FeatureStructure> create(org.apache.uima.cas.ArrayFS aArray)

      Convert an `ArrayFS` to a `Collection`.
      Parameters:
        `aArray` - the array to convert.
      Returns:
        a new collection containing the same feature structures as the provided array.
      See Also:
        Order of selected feature structures

    - #### create

          public static <T extends org.apache.uima.jcas.cas.TOP> Collection<T> create(org.apache.uima.cas.ArrayFS aArray,
                                                                                      Class<T> aType)

      Fetch all annotations of the given type or its sub-types from the given FS array.
      Type Parameters:
        `T` - the JCas type.
      Parameters:
        `aArray` - the FS array
        `aType` - the JCas wrapper class.
      Returns:
        a new collection of all feature structures of the given type.

    - #### create

          public static Collection<org.apache.uima.cas.FeatureStructure> create(org.apache.uima.cas.ArrayFS aArray,
                                                                                org.apache.uima.cas.Type aType)

      Fetch all annotations of the given type or its sub-types from the given FS array.
      Parameters:
        `aArray` - the FS array
        `aType` - the CAS type.
      Returns:
        a new collection of all feature structures of the given type.

    - #### createArrayFS

          public static org.apache.uima.cas.ArrayFS createArrayFS(org.apache.uima.cas.CAS aCas,
                                                                  Collection<? extends org.apache.uima.cas.FeatureStructure> aCollection)

    - #### createArrayFS

          public static org.apache.uima.cas.ArrayFS createArrayFS(org.apache.uima.cas.CAS aCas,
                                                                  org.apache.uima.cas.FeatureStructure[] aArray)

    - #### createFSArray

          public static org.apache.uima.jcas.cas.FSArray createFSArray(org.apache.uima.jcas.JCas aJCas,
                                                                       Collection<? extends org.apache.uima.cas.FeatureStructure> aCollection)

    - #### createFSArray

          public static org.apache.uima.jcas.cas.FSArray createFSArray(org.apache.uima.jcas.JCas aJCas,
                                                                       org.apache.uima.cas.FeatureStructure[] aArray)

    - #### createBooleanArray

          public static org.apache.uima.cas.BooleanArrayFS createBooleanArray(org.apache.uima.cas.CAS aCas,
                                                                              Collection<Boolean> aCollection)

    - #### createBooleanArray

          public static org.apache.uima.cas.BooleanArrayFS createBooleanArray(org.apache.uima.cas.CAS aCas,
                                                                              boolean[] aArray)

    - #### createBooleanArray

          public static org.apache.uima.cas.BooleanArrayFS createBooleanArray(org.apache.uima.jcas.JCas aJCas,
                                                                              Collection<Boolean> aCollection)

    - #### createBooleanArray

          public static org.apache.uima.cas.BooleanArrayFS createBooleanArray(org.apache.uima.jcas.JCas aJCas,
                                                                              boolean[] aArray)

    - #### createByteArray

          public static org.apache.uima.cas.ByteArrayFS createByteArray(org.apache.uima.cas.CAS aCas,
                                                                        Collection<Byte> aCollection)

    - #### createByteArray

          public static org.apache.uima.cas.ByteArrayFS createByteArray(org.apache.uima.cas.CAS aCas,
                                                                        byte[] aArray)

    - #### createByteArray

          public static org.apache.uima.cas.ByteArrayFS createByteArray(org.apache.uima.jcas.JCas aJCas,
                                                                        Collection<Byte> aCollection)

    - #### createByteArray

          public static org.apache.uima.cas.ByteArrayFS createByteArray(org.apache.uima.jcas.JCas aJCas,
                                                                        byte[] aArray)

    - #### createDoubleArray

          public static org.apache.uima.cas.DoubleArrayFS createDoubleArray(org.apache.uima.cas.CAS aCas,
                                                                            Collection<Double> aCollection)

    - #### createDoubleArray

          public static org.apache.uima.cas.DoubleArrayFS createDoubleArray(org.apache.uima.cas.CAS aCas,
                                                                            double[] aArray)

    - #### createDoubleArray

          public static org.apache.uima.cas.DoubleArrayFS createDoubleArray(org.apache.uima.jcas.JCas aJCas,
                                                                            Collection<Double> aCollection)

    - #### createDoubleArray

          public static org.apache.uima.cas.DoubleArrayFS createDoubleArray(org.apache.uima.jcas.JCas aJCas,
                                                                            double[] aArray)

    - #### createFloatArray

          public static org.apache.uima.cas.FloatArrayFS createFloatArray(org.apache.uima.cas.CAS aCas,
                                                                          Collection<Float> aCollection)

    - #### createFloatArray

          public static org.apache.uima.cas.FloatArrayFS createFloatArray(org.apache.uima.cas.CAS aCas,
                                                                          float[] aArray)

    - #### createFloatArray

          public static org.apache.uima.cas.FloatArrayFS createFloatArray(org.apache.uima.jcas.JCas aJCas,
                                                                          Collection<Float> aCollection)

    - #### createFloatArray

          public static org.apache.uima.cas.FloatArrayFS createFloatArray(org.apache.uima.jcas.JCas aJCas,
                                                                          float[] aArray)

    - #### createIntArray

          public static org.apache.uima.cas.IntArrayFS createIntArray(org.apache.uima.cas.CAS aCas,
                                                                      Collection<Integer> aCollection)

    - #### createIntArray

          public static org.apache.uima.cas.IntArrayFS createIntArray(org.apache.uima.cas.CAS aCas,
                                                                      int[] aArray)

    - #### createIntArray

          public static org.apache.uima.cas.IntArrayFS createIntArray(org.apache.uima.jcas.JCas aJCas,
                                                                      Collection<Integer> aCollection)

    - #### createIntArray

          public static org.apache.uima.cas.IntArrayFS createIntArray(org.apache.uima.jcas.JCas aJCas,
                                                                      int[] aArray)

    - #### createLongArray

          public static org.apache.uima.cas.LongArrayFS createLongArray(org.apache.uima.cas.CAS aCas,
                                                                        Collection<Long> aCollection)

    - #### createLongArray

          public static org.apache.uima.cas.LongArrayFS createLongArray(org.apache.uima.cas.CAS aCas,
                                                                        long[] aArray)

    - #### createLongArray

          public static org.apache.uima.cas.LongArrayFS createLongArray(org.apache.uima.jcas.JCas aJCas,
                                                                        Collection<Long> aCollection)

    - #### createLongArray

          public static org.apache.uima.cas.LongArrayFS createLongArray(org.apache.uima.jcas.JCas aJCas,
                                                                        long[] aArray)

    - #### createShortArray

          public static org.apache.uima.cas.ShortArrayFS createShortArray(org.apache.uima.cas.CAS aCas,
                                                                          Collection<Short> aCollection)

    - #### createShortArray

          public static org.apache.uima.cas.ShortArrayFS createShortArray(org.apache.uima.cas.CAS aCas,
                                                                          short[] aArray)

    - #### createShortArray

          public static org.apache.uima.cas.ShortArrayFS createShortArray(org.apache.uima.jcas.JCas aJCas,
                                                                          Collection<Short> aCollection)

    - #### createShortArray

          public static org.apache.uima.cas.ShortArrayFS createShortArray(org.apache.uima.jcas.JCas aJCas,
                                                                          short[] aArray)

    - #### createStringArray

          public static org.apache.uima.cas.StringArrayFS createStringArray(org.apache.uima.cas.CAS aCas,
                                                                            Collection<String> aCollection)

    - #### createStringArray

          public static org.apache.uima.cas.StringArrayFS createStringArray(org.apache.uima.cas.CAS aCas,
                                                                            String[] aArray)

    - #### createStringArray

          public static org.apache.uima.cas.StringArrayFS createStringArray(org.apache.uima.jcas.JCas aJCas,
                                                                            Collection<String> aCollection)

    - #### createStringArray

          public static org.apache.uima.cas.StringArrayFS createStringArray(org.apache.uima.jcas.JCas aJCas,
                                                                            String[] aArray)

    - #### fillArrayFS

          public static <T extends org.apache.uima.cas.ArrayFS> T fillArrayFS(T aArrayFs,
                                                                              Iterable<? extends org.apache.uima.cas.FeatureStructure> aCollection)

    - #### fillArrayFS

          public static org.apache.uima.cas.ArrayFS fillArrayFS(org.apache.uima.cas.ArrayFS aArrayFs,
                                                                org.apache.uima.cas.FeatureStructure[] aArray)

    - #### fillArrayFS

          public static org.apache.uima.cas.BooleanArrayFS fillArrayFS(org.apache.uima.cas.BooleanArrayFS aArrayFs,
                                                                       Iterable<Boolean> aCollection)

    - #### fillArrayFS

          public static org.apache.uima.cas.BooleanArrayFS fillArrayFS(org.apache.uima.cas.BooleanArrayFS aArrayFs,
                                                                       boolean[] aArray)

    - #### fillArrayFS

          public static org.apache.uima.cas.ByteArrayFS fillArrayFS(org.apache.uima.cas.ByteArrayFS aArrayFs,
                                                                    Iterable<Byte> aCollection)

    - #### fillArrayFS

          public static org.apache.uima.cas.ByteArrayFS fillArrayFS(org.apache.uima.cas.ByteArrayFS aArrayFs,
                                                                    byte[] aArray)

    - #### fillArrayFS

          public static org.apache.uima.cas.DoubleArrayFS fillArrayFS(org.apache.uima.cas.DoubleArrayFS aArrayFs,
                                                                      Iterable<Double> aCollection)

    - #### fillArrayFS

          public static org.apache.uima.cas.DoubleArrayFS fillArrayFS(org.apache.uima.cas.DoubleArrayFS aArrayFs,
                                                                      double[] aArray)

    - #### fillArrayFS

          public static org.apache.uima.cas.FloatArrayFS fillArrayFS(org.apache.uima.cas.FloatArrayFS aArrayFs,
                                                                     Iterable<Float> aCollection)

    - #### fillArrayFS

          public static org.apache.uima.cas.FloatArrayFS fillArrayFS(org.apache.uima.cas.FloatArrayFS aArrayFs,
                                                                     float[] aArray)

    - #### fillArrayFS

          public static org.apache.uima.cas.IntArrayFS fillArrayFS(org.apache.uima.cas.IntArrayFS aArrayFs,
                                                                   Iterable<Integer> aCollection)

    - #### fillArrayFS

          public static org.apache.uima.cas.IntArrayFS fillArrayFS(org.apache.uima.cas.IntArrayFS aArrayFs,
                                                                   int[] aArray)

    - #### fillArrayFS

          public static org.apache.uima.cas.LongArrayFS fillArrayFS(org.apache.uima.cas.LongArrayFS aArrayFs,
                                                                    Iterable<Long> aCollection)

    - #### fillArrayFS

          public static org.apache.uima.cas.LongArrayFS fillArrayFS(org.apache.uima.cas.LongArrayFS aArrayFs,
                                                                    long[] aArray)

    - #### fillArrayFS

          public static org.apache.uima.cas.ShortArrayFS fillArrayFS(org.apache.uima.cas.ShortArrayFS aArrayFs,
                                                                     Iterable<Short> aCollection)

    - #### fillArrayFS

          public static org.apache.uima.cas.ShortArrayFS fillArrayFS(org.apache.uima.cas.ShortArrayFS aArrayFs,
                                                                     short[] aArray)

    - #### fillArrayFS

          public static org.apache.uima.cas.StringArrayFS fillArrayFS(org.apache.uima.cas.StringArrayFS aArrayFs,
                                                                      Iterable<String> aCollection)

    - #### fillArrayFS

          public static org.apache.uima.cas.StringArrayFS fillArrayFS(org.apache.uima.cas.StringArrayFS aArrayFs,
                                                                      String[] aArray)

    - #### create

          public static Collection<org.apache.uima.jcas.cas.TOP> create(org.apache.uima.jcas.cas.FSList aList)

    - #### create

          public static <T extends org.apache.uima.jcas.cas.TOP> Collection<T> create(org.apache.uima.jcas.cas.FSList aList,
                                                                                      Class<T> aType)

      Fetch all annotations of the given type or its sub-types from the given FS list.
      Type Parameters:
        `T` - the JCas type.
      Parameters:
        `aList` - the FS list
        `aType` - the JCas wrapper class.
      Returns:
        a new collection of all feature structures of the given type.

    - #### create

          public static Collection<org.apache.uima.jcas.cas.TOP> create(org.apache.uima.jcas.cas.FSList aList,
                                                                        org.apache.uima.cas.Type type)

    - #### create

          public static Collection<String> create(org.apache.uima.jcas.cas.StringList aList)

    - #### create

          public static Collection<Integer> create(org.apache.uima.jcas.cas.IntegerList aList)

    - #### create

          public static Collection<Float> create(org.apache.uima.jcas.cas.FloatList aList)

    - #### createFSList

          public static org.apache.uima.jcas.cas.FSList createFSList(org.apache.uima.jcas.JCas aJCas,
                                                                     Collection<? extends org.apache.uima.jcas.cas.TOP> aCollection)

    - #### createFSList

          public static <T extends org.apache.uima.cas.FeatureStructure> T createFSList(org.apache.uima.cas.CAS aCas,
                                                                                        org.apache.uima.cas.FeatureStructure... aValues)

    - #### createFSList

          public static <T extends org.apache.uima.cas.FeatureStructure> T createFSList(org.apache.uima.cas.CAS aCas,
                                                                                        Collection<? extends org.apache.uima.cas.FeatureStructure> aValues)

    - #### createFloatList

          public static org.apache.uima.jcas.cas.FloatList createFloatList(org.apache.uima.jcas.JCas aJCas,
                                                                           float... aValues)

    - #### createFloatList

          public static <T extends org.apache.uima.cas.FeatureStructure> T createFloatList(org.apache.uima.cas.CAS aCas,
                                                                                           float... aValues)

    - #### createFloatList

          public static <T extends org.apache.uima.cas.FeatureStructure> T createFloatList(org.apache.uima.cas.CAS aCas,
                                                                                           Collection<Float> aValues)

    - #### createFloatList

          public static org.apache.uima.jcas.cas.FloatList createFloatList(org.apache.uima.jcas.JCas aJCas,
                                                                           Collection<Float> aCollection)

    - #### createIntegerList

          public static org.apache.uima.jcas.cas.IntegerList createIntegerList(org.apache.uima.jcas.JCas aJCas,
                                                                               int... aValues)

    - #### createIntegerList

          public static <T extends org.apache.uima.cas.FeatureStructure> T createIntegerList(org.apache.uima.cas.CAS aCas,
                                                                                             int... aValues)

    - #### createIntegerList

          public static <T extends org.apache.uima.cas.FeatureStructure> T createIntegerList(org.apache.uima.cas.CAS aCas,
                                                                                             Collection<Integer> aValues)

    - #### createIntegerList

          public static org.apache.uima.jcas.cas.IntegerList createIntegerList(org.apache.uima.jcas.JCas aJCas,
                                                                               Collection<Integer> aCollection)

    - #### createStringList

          public static org.apache.uima.jcas.cas.StringList createStringList(org.apache.uima.jcas.JCas aJCas,
                                                                             String... aValues)

    - #### createStringList

          public static <T extends org.apache.uima.cas.FeatureStructure> T createStringList(org.apache.uima.cas.CAS aCas,
                                                                                            String... aValues)

    - #### createStringList

          public static <T extends org.apache.uima.cas.FeatureStructure> T createStringList(org.apache.uima.cas.CAS aCas,
                                                                                            Collection<String> aValues)

    - #### createStringList

          public static org.apache.uima.jcas.cas.StringList createStringList(org.apache.uima.jcas.JCas aJCas,
                                                                             Collection<String> aCollection)

Copyright © 2012–2020 The Apache Software Foundation. All rights reserved.